> ## Documentation Index
> Fetch the complete documentation index at: https://pedirgasdocs.supergasbras.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Put v1consumers



## OpenAPI

````yaml https://consumer-ms.supergasbras.app/swagger/v1/swagger.json put /v1/consumers/{consumerId}
openapi: 3.0.1
info:
  title: CTech Consumer
  description: Service responsible for handling Consumer version 1.0
  version: '1.0'
servers: []
security:
  - Bearer: []
paths:
  /v1/consumers/{consumerId}:
    put:
      tags:
        - Consumers
      parameters:
        - name: consumerId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: deviceId
          in: header
          schema:
            type: string
        - name: platform
          in: header
          schema:
            type: string
        - name: appVersion
          in: header
          schema:
            type: string
        - name: deviceModel
          in: header
          schema:
            type: string
        - name: api-version
          in: query
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateConsumerRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/UpdateConsumerRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/UpdateConsumerRequest'
      responses:
        '200':
          description: Success
components:
  schemas:
    UpdateConsumerRequest:
      type: object
      properties:
        name:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        phone:
          type: string
          nullable: true
        sendTokenBy:
          $ref: '#/components/schemas/SendTokenBy'
      additionalProperties: false
    SendTokenBy:
      enum:
        - SMS
        - Whatsapp
      type: string
  securitySchemes:
    Bearer:
      type: http
      description: JWT Authorization header using the Bearer scheme.
      scheme: Bearer
      bearerFormat: JWT

````